Bug 1422996 - Event filter For Openstack::InfraManager
Summary: Event filter For Openstack::InfraManager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Tzu-Mainn Chen
QA Contact: Oleksandr Kolisnyk
URL:
Whiteboard: openstack:event
Depends On:
Blocks: 1436237
TreeView+ depends on / blocked
 
Reported: 2017-02-16 19:28 UTC by Saif Ali
Modified: 2020-03-11 15:48 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1436237 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:35:13 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Saif Ali 2017-02-16 19:28:22 UTC
Description of problem:
No Provider Model list for an Event filter for Openstack undercloud provider.

[----] I, [2017-02-01T03:17:04.571760 #6220:f57990]  INFO -- : MIQ(ManageIQ::Providers::Openstack::InfraManager::EventCatcher::Runner#process_event) EMS [10.18.144.15] as [admin] Caught event [identity.authenticate]
[----] I, [2017-02-01T03:17:04.579467 #6220:f57990]  INFO -- : MIQ(MiqQueue.put) Message id: [1000019683549],  id: [], Zone: [Worker], Role: [event], Server: [], Ident: [ems], Target id: [1000000000005], Instance id: []


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Saif Ali 2017-02-16 19:31:41 UTC
By default the infra provider is not listed under provider model list for the an event filter.

[root@cfme42 vmdb]# bundle exec rails r 'puts BlacklistedEvent.order(:provider_model, :event_name).collect{|e| "#{e.provider_model}, #{e.enabled}, #{e.event_name}"}'
ManageIQ::Providers::Amazon::CloudManager, true, ConfigurationSnapshotDeliveryCompleted
ManageIQ::Providers::Amazon::CloudManager, true, ConfigurationSnapshotDeliveryFailed
ManageIQ::Providers::Amazon::CloudManager, true, ConfigurationSnapshotDeliveryStarted
ManageIQ::Providers::Amazon::NetworkManager, true, ConfigurationSnapshotDeliveryCompleted
ManageIQ::Providers::Amazon::NetworkManager, true, ConfigurationSnapshotDeliveryFailed
ManageIQ::Providers::Amazon::NetworkManager, true, ConfigurationSnapshotDeliveryStarted
ManageIQ::Providers::Azure::CloudManager, true, storageAccounts_listKeys_BeginRequest
ManageIQ::Providers::Azure::CloudManager, true, storageAccounts_listKeys_EndRequest
ManageIQ::Providers::Openstack::CloudManager, true, identity.authenticate
ManageIQ::Providers::Openstack::CloudManager, true, scheduler.run_instance.end
ManageIQ::Providers::Openstack::CloudManager, true, scheduler.run_instance.scheduled
ManageIQ::Providers::Openstack::CloudManager, true, scheduler.run_instance.start
ManageIQ::Providers::Openstack::NetworkManager, true, scheduler.run_instance.end
ManageIQ::Providers::Openstack::NetworkManager, true, scheduler.run_instance.scheduled
ManageIQ::Providers::Openstack::NetworkManager, true, scheduler.run_instance.start
ManageIQ::Providers::Redhat::InfraManager, true, UNASSIGNED
ManageIQ::Providers::Redhat::InfraManager, true, USER_REMOVE_VG
ManageIQ::Providers::Redhat::InfraManager, true, USER_REMOVE_VG_FAILED
ManageIQ::Providers::Redhat::InfraManager, true, USER_VDC_LOGIN
ManageIQ::Providers::Redhat::InfraManager, true, USER_VDC_LOGIN_FAILED
ManageIQ::Providers::Redhat::InfraManager, true, USER_VDC_LOGOUT
ManageIQ::Providers::Vmware::InfraManager, true, AlarmActionTriggeredEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmCreatedEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmEmailCompletedEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmEmailFailedEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmReconfiguredEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmRemovedEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmScriptCompleteEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmScriptFailedEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmSnmpCompletedEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmSnmpFailedEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmStatusChangedEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlreadyAuthenticatedSessionEvent
ManageIQ::Providers::Vmware::InfraManager, true, EventEx
ManageIQ::Providers::Vmware::InfraManager, true, UserLoginSessionEvent
ManageIQ::Providers::Vmware::InfraManager, true, UserLogoutSessionEvent


Manually adding filter to the provider add the provider to the model list.

[root@cfme42 vmdb]# bundle exec rails r 'puts BlacklistedEvent.where(:provider_model => "ManageIQ::Providers::Openstack::InfraManager").order(:event_name).collect{|e| "#{e.provider_model}, #{e.enabled}, #{e.event_name}"}'
ManageIQ::Providers::Openstack::InfraManager, true, test_event
ManageIQ::Providers::Openstack::InfraManager, true, test_event
[root@cfme42 vmdb]# bundle exec rails r 'BlacklistedEvent.create!(:event_name => "test_event", :provider_model => "ManageIQ::Providers::Openstack::InfraManager")'^C[root@cfme42 vmdb]# bundle exec rails r 'puts BlacklistedEvent.order(:provider_model, :event_name).collect{|e| "#{e.provider_model}, #{e.enabled}, #{e.event_name}"}'
ManageIQ::Providers::Amazon::CloudManager, true, ConfigurationSnapshotDeliveryCompleted
ManageIQ::Providers::Amazon::CloudManager, true, ConfigurationSnapshotDeliveryFailed
ManageIQ::Providers::Amazon::CloudManager, true, ConfigurationSnapshotDeliveryStarted
ManageIQ::Providers::Amazon::NetworkManager, true, ConfigurationSnapshotDeliveryCompleted
ManageIQ::Providers::Amazon::NetworkManager, true, ConfigurationSnapshotDeliveryFailed
ManageIQ::Providers::Amazon::NetworkManager, true, ConfigurationSnapshotDeliveryStarted
ManageIQ::Providers::Azure::CloudManager, true, storageAccounts_listKeys_BeginRequest
ManageIQ::Providers::Azure::CloudManager, true, storageAccounts_listKeys_EndRequest
ManageIQ::Providers::Openstack::CloudManager, true, identity.authenticate
ManageIQ::Providers::Openstack::CloudManager, true, scheduler.run_instance.end
ManageIQ::Providers::Openstack::CloudManager, true, scheduler.run_instance.scheduled
ManageIQ::Providers::Openstack::CloudManager, true, scheduler.run_instance.start
ManageIQ::Providers::Openstack::InfraManager, true, test_event
ManageIQ::Providers::Openstack::InfraManager, true, test_event
ManageIQ::Providers::Openstack::NetworkManager, true, scheduler.run_instance.end
ManageIQ::Providers::Openstack::NetworkManager, true, scheduler.run_instance.scheduled
ManageIQ::Providers::Openstack::NetworkManager, true, scheduler.run_instance.start
ManageIQ::Providers::Redhat::InfraManager, true, UNASSIGNED
ManageIQ::Providers::Redhat::InfraManager, true, USER_REMOVE_VG
ManageIQ::Providers::Redhat::InfraManager, true, USER_REMOVE_VG_FAILED
ManageIQ::Providers::Redhat::InfraManager, true, USER_VDC_LOGIN
ManageIQ::Providers::Redhat::InfraManager, true, USER_VDC_LOGIN_FAILED
ManageIQ::Providers::Redhat::InfraManager, true, USER_VDC_LOGOUT
ManageIQ::Providers::Vmware::InfraManager, true, AlarmActionTriggeredEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmCreatedEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmEmailCompletedEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmEmailFailedEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmReconfiguredEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmRemovedEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmScriptCompleteEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmScriptFailedEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmSnmpCompletedEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmSnmpFailedEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlarmStatusChangedEvent
ManageIQ::Providers::Vmware::InfraManager, true, AlreadyAuthenticatedSessionEvent
ManageIQ::Providers::Vmware::InfraManager, true, EventEx
ManageIQ::Providers::Vmware::InfraManager, true, UserLoginSessionEvent
ManageIQ::Providers::Vmware::InfraManager, true, UserLogoutSessionEvent

Comment 3 Tzu-Mainn Chen 2017-03-16 22:09:52 UTC
Ah, thanks for catching this!  Should be solved by:

https://github.com/ManageIQ/manageiq/pull/14369

With this code change in place, my evm.log shows:

[----] I, [2017-03-16T23:09:03.637129 #11265:3f929ac6598c]  INFO -- : MIQ(ManageIQ::Providers::Openstack::InfraManager::EventCatcher::Runner#after_initialize) EMS [192.0.2.1] as [admin] Event Catcher skipping the following events:
[----] I, [2017-03-16T23:09:03.637355 #11265:3f929ac6598c]  INFO -- :   - identity.authenticate

Comment 7 Oleksandr Kolisnyk 2017-05-16 17:43:45 UTC
Verified 5.8.0.13-rc2

Comment 9 errata-xmlrpc 2017-05-31 14:35:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.